# Dots - the friendly .NET SDK manager
[![build and release](https://github.com/nor0x/Dots/actions/workflows/release.yml/badge.svg)](https://github.com/nor0x/Dots/actions/workflows/release.yml)


<img src="https://raw.githubusercontent.com/nor0x/Dots/main/Assets/icon.png" width="320px" />


Dots is a .NET SDK manager that allows you to install, uninstall, and switch between .NET SDKs with ease. It is a cross-platform tool that works on Windows and macOS with Linux support coming soon. It is written in C# and uses .NET with Avalonia as the UI framework.

## Features
- Search for SDKs
- Install SDKs
- Uninstall SDKs
- Check Release Notes
- Show Metadata
- ...and more!

<img src="https://raw.githubusercontent.com/nor0x/Dots/main/Assets/screenshot.jpg" width="600px" />

## Building
Make sure to have .NET 8.0 and Avalonia installed. Then, clone the repository and run `dotnet build` in the src directory. You can also use Visual Studio, Rider or Visual Studio Code to build the project. Also make sure to check out the [release.yml](https://github.com/nor0x/Dots/actions/workflows/release.yml) workflow file for more information on how to build the project.


## more info
read more about this project on [here](https://johnnys.news/2023/01/Dots-a-dotnet-SDK-manager) and [here](https://johnnys.news/2023/10/Dots-2-0) 
